Package org.apache.activemq.artemis.reader

## Class TextMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.TextMessageUtil

-     public class TextMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CONNECTION_ID_PROPERTY_NAME_STRING, CORRELATIONID_HEADER_NAME, CORRELATIONID_HEADER_NAME_STRING, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, JMSXGROUPSEQ, JMSXUSERID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME, TYPE_HEADER_NAME_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextMessageUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.activemq.artemis.api.core.SimpleString` | `readBodyText​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` | Utility method to set the Text message on a message body
    `static void` | `writeBodyText​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff, org.apache.activemq.artemis.api.core.SimpleString text)` | Utility method to set the Text message on a message body

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getStringProperty, propertyExists, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSReplyTo, setJMSType, setLongProperty, setObjectProperty, setStringProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextMessageUtil

          public TextMessageUtil()

  - ### Method Detail

    - #### writeBodyText

          public static void writeBodyText​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff,
                                           org.apache.activemq.artemis.api.core.SimpleString text)

      Utility method to set the Text message on a message body

    - #### readBodyText

          public static org.apache.activemq.artemis.api.core.SimpleString readBodyText​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

      Utility method to set the Text message on a message body